searchNodes=[{"ref":"SAXMap.html","title":"SAXMap","type":"module","doc":"XML to Map conversion. SAXMap uses a SAX parser (built on top of Saxy) to transfer an XML string into a Map containing a collection of pairs where the key is the node name and the value is its content."},{"ref":"SAXMap.html#from_string/1","title":"SAXMap.from_string/1","type":"function","doc":"Use Saxy.parse_string/4 with a custom SAX parse handler to extract a Map containing a collection of pairs where the key is the node name and the value is its content. Example Here is an example: iex&gt; xml = &quot;&quot;&quot; ...&gt; &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; ...&gt; &lt;thread&gt; ...&gt; &lt;title&gt;Hello&lt;/title&gt; ...&gt; &lt;items&gt; ...&gt; &lt;item&gt;item1&lt;/item&gt; ...&gt; &lt;item&gt;item2&lt;/item&gt; ...&gt; &lt;/items&gt; ...&gt; &lt;/thread&gt; ...&gt; &quot;&quot;&quot; iex&gt; SAXMap.from_string(xml) {:ok, %{ &quot;thread&quot; =&gt; %{&quot;items&quot; =&gt; %{&quot;item&quot; =&gt; [&quot;item1&quot;, &quot;item2&quot;]}, &quot;title&quot; =&gt; &quot;Hello&quot;} }} Please notice that both XML attributes and comments are ignored."},{"ref":"readme.html","title":"SAXMap","type":"extras","doc":"SAXMap Converts an XML String to a Map. Benefit from Saxy&#39;s SAX mode, this library has a good conversion efficiency."},{"ref":"readme.html#installation","title":"SAXMap - Installation","type":"extras","doc":"def deps do [ {:sax_map, &quot;~&gt; 0.1&quot;} ] end"},{"ref":"readme.html#example","title":"SAXMap - Example","type":"extras","doc":"iex(1)&gt; xml = &quot;&quot;&quot; ...(1)&gt; &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; ...(1)&gt; &lt;thread&gt; ...(1)&gt; &lt;title&gt;Hello&lt;/title&gt; ...(1)&gt; &lt;items&gt; ...(1)&gt; &lt;item&gt;item1&lt;/item&gt; ...(1)&gt; &lt;item&gt;item2&lt;/item&gt; ...(1)&gt; &lt;/items&gt; ...(1)&gt; &lt;/thread&gt; ...(1)&gt; &quot;&quot;&quot; iex(2)&gt; SAXMap.from_string(xml) {:ok, %{ &quot;thread&quot; =&gt; %{&quot;items&quot; =&gt; %{&quot;item&quot; =&gt; [&quot;item1&quot;, &quot;item2&quot;]}, &quot;title&quot; =&gt; &quot;Hello&quot;} }} Please notice that both XML attributes and comments are ignored."},{"ref":"readme.html#benchmark","title":"SAXMap - Benchmark","type":"extras","doc":"Only for your reference, all of credit belong to Saxy, the details of benchmark can be found in the bench directory of the repository. Operating System: macOS CPU Information: Intel(R) Core(TM) i5-4258U CPU @ 2.40GHz Number of Available Cores: 4 Available memory: 8 GB Elixir 1.9.4 Erlang 22.1.8 Benchmark suite executing with the following configuration: warmup: 2 s time: 10 s memory time: 2 s parallel: 1 inputs: none specified Estimated total run time: 28 s Benchmarking SAXMap.from_string... Benchmarking XmlToMap.naive_map... Name ips average deviation median 99th % SAXMap.from_string 24.15 K 41.40 μs ±67.10% 35 μs 131 μs XmlToMap.naive_map 16.28 K 61.42 μs ±89.04% 49 μs 224 μs Comparison: SAXMap.from_string 24.15 K XmlToMap.naive_map 16.28 K - 1.48x slower +20.02 μs Memory usage statistics: Name Memory usage SAXMap.from_string 14.82 KB XmlToMap.naive_map 33.20 KB - 2.24x memory usage +18.38 KB **All measurements for memory usage were the same**"}]